Loading...
Searching...
No Matches
mbedtls_x509write_csr Struct Reference
X.509 module

`#include <x509_csr.h>`

Collaboration diagram for mbedtls_x509write_csr:
[legend]

## Data Fields

mbedtls_pk_context * | private_key
mbedtls_asn1_named_data * | private_subject
mbedtls_md_type_t | private_md_alg
mbedtls_asn1_named_data * | private_extensions

## Detailed Description

Container for writing a CSR

Definition at line 66 of file x509_csr.h.

## Field Documentation

## private_extensions

mbedtls_asn1_named_data* mbedtls_x509write_csr::private_extensions

Definition at line 70 of file x509_csr.h.

## private_key

mbedtls_pk_context* mbedtls_x509write_csr::private_key

Definition at line 67 of file x509_csr.h.

## private_md_alg

mbedtls_md_type_t mbedtls_x509write_csr::private_md_alg

Definition at line 69 of file x509_csr.h.

## private_subject

mbedtls_asn1_named_data* mbedtls_x509write_csr::private_subject

Definition at line 68 of file x509_csr.h.

The documentation for this struct was generated from the following file:

- x509_csr.h